Subject: bug#55596: Guix/Guile segfaults on `guix import texlive`

From: Ludovic Courtès <[email-masked]>
Date: Sat, 28 May 2022 19:19:21 +0200

Hi,

Jack Hill <[email-masked]> skribis:

> On Wed, 25 May 2022, Hugo wrote:
>
>> Ludovic Courtès <[email-masked]> writes:
>>
>>> Jack, Hugo: What does “type -P svn” say?
>>>
>>> Does the bug occur within ‘guix shell subversion’ as shown above?
>>
>> Well, I feel kind of silly now, after actually installing subversion the
>> command works as expected :)
>
> Same for me, and I feel equally silly :)

You mentioned an error report from Guix:

  command "svn" "export" "--non-interactive" "--trust-server-cert" "-r" "59745" "svn://www.tug.org/texlive/tags/texlive-2021.3/Master/texmf-dist/doc/latex/cite/" "/tmp/guix-directory.09UnsN/doc/latex/cite/" failed with signal 11

To me that means that an “svn” command was indeed found in $PATH but
that it segfaulted.

What did “type -P svn” return?  Perhaps there was an “svn” command
coming from the host distro, like /usr/bin/svn?

Or am I missing something?

Thanks,
Ludo’.